package fr.openium.consentium_ui.domain.di

import dagger.Binds
import dagger.Module
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import fr.openium.consentium_ui.domain.usecase.GetApplicationLanguageUseCase
import fr.openium.consentium_ui.domain.usecase.GetApplicationLanguageUseCaseImpl
import fr.openium.consentium_ui.domain.usecase.GetConfigTextForLanguageUseCase
import fr.openium.consentium_ui.domain.usecase.GetConfigTextForLanguageUseCaseImpl

@Module
@InstallIn(SingletonComponent::class)
internal interface ConsentiumUseCaseModule {

    @Binds
    fun bindsGetConfigTextForLanguageUseCase(
        getConfigTextForLanguageUseCaseImpl: GetConfigTextForLanguageUseCaseImpl,
    ): GetConfigTextForLanguageUseCase

    @Binds
    fun bindGetApplicationLangageUseCase(
        getApplicationLangageUseCaseImpl: GetApplicationLanguageUseCaseImpl,
    ): GetApplicationLanguageUseCase

}