package fr.openium.consentium.api.adapter

import fr.openium.consentium.api.model.PurposeStatus
import fr.openium.consentium.data.remote.model.GetConsent
import fr.openium.consentium.data.remote.model.PatchConsent

internal fun GetConsent.PurposeStatusDTO.toPurposeStatus() = when (this) {
    GetConsent.PurposeStatusDTO.ACCEPTED -> PurposeStatus.ACCEPTED
    GetConsent.PurposeStatusDTO.REJECTED -> PurposeStatus.REJECTED
    GetConsent.PurposeStatusDTO.PARTIAL -> PurposeStatus.PARTIAL
}

internal fun PurposeStatus.toPurposeStatusDTO() = when (this) {
    PurposeStatus.ACCEPTED -> PatchConsent.PurposeStatusDTO.ACCEPTED
    PurposeStatus.REJECTED -> PatchConsent.PurposeStatusDTO.REJECTED
    PurposeStatus.PARTIAL -> PatchConsent.PurposeStatusDTO.PARTIAL
}